Subject: Re: [pve-devel] bridge vlan range, kernel 4.1 : "message truncated" warning when too much vlans defined

From: roopa <[email-masked]>
Date: Thu, 10 Sep 2015 17:02:51 -0700

On 9/10/15, 3:58 PM, David Miller wrote:
> From: roopa <[email-masked]>
> Date: Thu, 10 Sep 2015 15:26:30 -0700
>
>> On 9/9/15, 11:40 PM, Alexandre DERUMIER wrote:
>>> Hi,
>>>
>>> This still not fixed in iproute 4.2.
>>>
>>> Is they any plan to increase the rtnl_dump_filter buffer size soon ?
>> Instead of increasing the default size, it would be nicer if this was
>> configurable for iproute2 (I haven't looked yet).
> I would definitely prefer this be done in a run-time manner of some
> sort, and then other libraries can use iproute2's logic as a reference
> for how to deal with this reliably, properly, and in a %100
> future-proof manner.
>
> Something of the "if request X fails, double the buffer size" variety.
agreed. This would be ideal. libnl already handles it this way.
We have to move iproute2 recv buffer to dynamic allocation and also 
realloc on MSG_TRUNC.

I can get to it one of these days unless somebody beats me to it.

thanks.